
QGIS Application - Bug report #16131

Identify and MapTip-Tool are not working correctly with displaced features
Status: Open

Priority: Normal

Assignee:

Category: Map Tools

Affected QGIS version:3.4.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 24043

Description

If a feature (point, line, polygon etc.) is rendered with an x/y-offset or by point displacement renderer, the "identify"-tool and the

"maptip"-tool are not working at the displayed position/coordinates. They are only working for the original coordinates/position - which is

not displayed.

It may be usefull to have this functions for the displaced feature-positions instead, because you can not know the original position without

using an not displaced auxiliary layer.

History

#1 - 2017-05-01 01:01 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#2 - 2017-09-22 09:54 AM - Jürgen Fischer

- Category set to Unknown

#3 - 2018-11-07 11:53 PM - John A Stevenson

- File map_tip.png added

I confirm that this issue also exists on QGIS 3.4.1 on Linux.

Using the new 'Import geotagged photos' tool combined with the HTML map tips (as described here https://nathanw.net/2012/08/05/html-map-tips-in-qgis/

) makes QGIS an extremely nice way to browse geotagged images.  Especially because you can put a 'file://' link in the HTML to open the images

externally.

Using the Point Displacement style lets you see when you have multiple photos at the same point.  However, the map tip only appears for the centre point,

and only for one of the features.  If it applied to the displaced point, it would be possible to view all images.

#4 - 2018-11-08 09:20 AM - Giovanni Manghi

- Operating System deleted (Windows)

- Description updated

- Category changed from Unknown to Map Tools

- Affected QGIS version changed from 2.18.2 to 3.4.1

Files

map_tip.png 173 KB 2018-11-07 John A Stevenson
